import http from "@/http/http";

enum Api{
    getFeeItemCategory='/api/base/feeItemCategoryList',
    getfeeItemSpecialFlag='/api/base/feeItemSpecialFlagList',
    getproduct='/api/apiData/apiChannelList',
    getCustomert='/api/apiData/apiCustomerList',
    getBranchCompanyCustomers='/api/apiData/apiBranchCompanyCustomersList',
    getFeeSetType='/api/base/feeTypeList',
    
}

//获取费项科目列表数据
export const getFeeItemCategoryListDataApi=async()=>{
    return await http.get(Api.getFeeItemCategory);
}

//获取费用特殊类别数据
export const getfeeItemSpecialFlagApi=async()=>{
    return await http.get(Api.getfeeItemSpecialFlag);
}

//获产品数据
export const getproductApi=async()=>{
    return await http.get(Api.getproduct);
}

//获客户数据
export const getCustomertApi=async()=>{
    return await http.get(Api.getCustomert);
}

//获取费用类型
export const getFeeSetTypeApi=async()=>{
    return await http.get(Api.getFeeSetType);
}
//获取分公司信息
export const getBranchCompanyCustomersApi=async()=>{
    return await http.get(Api.getBranchCompanyCustomers);
}



